Debian Bug report logs - #676444
cleanup late initscript parts

version graph

Package: live-config-sysvinit; Maintainer for live-config-sysvinit is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config-sysvinit is src:live-config.

Reported by: Viktor Malyarchuk <malyar@gmail.com>

Date: Wed, 6 Jun 2012 23:36:01 UTC

Severity: minor

Found in version live-config/3.0~a39-1

Fixed in version 3.0~a40-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, malyar@gmail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#676444; Package live-config-sysvinit. (Wed, 06 Jun 2012 23:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Viktor Malyarchuk <malyar@gmail.com>:
New Bug report received and forwarded. Copy sent to malyar@gmail.com, Debian Live Project <debian-live@lists.debian.org>. (Wed, 06 Jun 2012 23:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Viktor Malyarchuk <malyar@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config-sysvinit: fails to install with "update-rc.d: error: insserv rejected the script header"
Date: Wed, 06 Jun 2012 18:33:40 -0500
Package: live-config-sysvinit
Version: 3.0~a39-1
Severity: important

Dear Maintainer,

live-config-sysvinit can not be installed. Please see log for details.

-------
Setting up live-config-sysvinit (3.0~a39-1) ...
insserv: script live: service live-boot already provided!
update-rc.d: warning:  start runlevel arguments (none) do not match live Default-Start values (S)
insserv: script live: service live-boot already provided!
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing live-config-sysvinit (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 live-config-sysvinit
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up live-config-sysvinit (3.0~a39-1) ...
insserv: script live: service live-boot already provided!
update-rc.d: warning:  start runlevel arguments (none) do not match live Default-Start values (S)
insserv: script live: service live-boot already provided!
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing live-config-sysvinit (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 live-config-sysvinit
-------

Version 3.0~a35-1 is not affected.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.4.1+ (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-config-sysvinit depends on:
ii  sysvinit  2.88dsf-25

live-config-sysvinit recommends no packages.

live-config-sysvinit suggests no packages.

-- no debconf information

Best regards,
Viktor Malyarchuk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#676444; Package live-config-sysvinit. (Thu, 07 Jun 2012 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 07 Jun 2012 06:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 676444@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Viktor Malyarchuk <malyar@gmail.com>
Cc: 676444@bugs.debian.org
Subject: Re: Bug#676444: live-config-sysvinit: fails to install with "update-rc.d: error: insserv rejected the script header"
Date: Thu, 07 Jun 2012 08:44:40 +0200
severity 676444 minor
tag 676444 pending
retitle 676444 cleanup late initscript parts
thanks

On 06/07/2012 01:33 AM, Viktor Malyarchuk wrote:
> Setting up live-config-sysvinit (3.0~a39-1) ...
> insserv: script live: service live-boot already provided!

this is a temporary upgrade issue only.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'minor' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 07 Jun 2012 06:48:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 07 Jun 2012 06:48:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'cleanup late initscript parts' from 'live-config-sysvinit: fails to install with "update-rc.d: error: insserv rejected the script header"' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 07 Jun 2012 06:48:08 GMT) Full text and rfc822 format available.

Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Thu, 14 Jun 2012 06:33:10 GMT) Full text and rfc822 format available.

Notification sent to Viktor Malyarchuk <malyar@gmail.com>:
Bug acknowledged by developer. (Thu, 14 Jun 2012 06:33:10 GMT) Full text and rfc822 format available.

Message #21 received at 676444-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 676444-done@bugs.debian.org
Subject: Re: cleanup late initscript parts
Date: Thu, 14 Jun 2012 08:31:50 +0200
Version: 3.0~a40-1

headerwise, this should be done now with above version.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jul 2012 07:38:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:54:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.